summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rwxr-xr-xsource/x/libglvnd/libglvnd.SlackBuild1
-rw-r--r--source/x/mesa/glesv2.pc10
-rwxr-xr-xsource/x/mesa/mesa.SlackBuild68
-rw-r--r--source/x/x11/build/libXvMC2
-rw-r--r--source/x/x11/patch/libXvMC.patch2
-rw-r--r--source/x/x11/patch/libXvMC/libXvMC.restore.xv.to.xvmc.pc.diff12
-rwxr-xr-xsource/xap/network-manager-applet/network-manager-applet.SlackBuild2
7 files changed, 35 insertions, 62 deletions
diff --git a/source/x/libglvnd/libglvnd.SlackBuild b/source/x/libglvnd/libglvnd.SlackBuild
index eb2244cf9..556baff5a 100755
--- a/source/x/libglvnd/libglvnd.SlackBuild
+++ b/source/x/libglvnd/libglvnd.SlackBuild
@@ -90,6 +90,7 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-headers \
--disable-static \
--build=$ARCH-slackware-linux || exit 1
diff --git a/source/x/mesa/glesv2.pc b/source/x/mesa/glesv2.pc
deleted file mode 100644
index 7af1555b1..000000000
--- a/source/x/mesa/glesv2.pc
+++ /dev/null
@@ -1,10 +0,0 @@
-prefix=/usr
-libdir=${prefix}/lib64
-includedir=${prefix}/include
-
-Name: glesv2
-Description: Mesa OpenGL ES 2.0 library
-Version: 19.1.0
-Libs: -L${libdir} -lGLESv2
-Libs.private: -lpthread -pthread -lm -ldl
-Cflags: -I${includedir}
diff --git a/source/x/mesa/mesa.SlackBuild b/source/x/mesa/mesa.SlackBuild
index 5428881bc..a3cf4ae3d 100755
--- a/source/x/mesa/mesa.SlackBuild
+++ b/source/x/mesa/mesa.SlackBuild
@@ -25,7 +25,8 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=mesa
VERSION=${VERSION:-$(echo $PKGNAM-1*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
DEMOVERS=${DEMOVERS:-8.4.0}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
+BUILD_DEMOS=${BUILD_DEMOS:-YES}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -129,7 +130,7 @@ meson setup \
-Dshared-llvm=true \
-Dshared-glapi=true \
-Degl=true \
- -Dgles1=false \
+ -Dgles1=true \
-Dgles2=true \
.. || exit 1
"${NINJA:=ninja}" $NUMJOBS || exit 1
@@ -141,42 +142,37 @@ if [ -r $PKG/etc/drirc ]; then
mv $PKG/etc/drirc $PKG/etc/drirc.new
fi
-# Install glesv2.pc:
-mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
-cat $CWD/glesv2.pc > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/glesv2.pc
-if [ ! "${LIBDIRSUFFIX}" = "64" ]; then
- sed -i "s/lib64/lib/g" $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/glesv2.pc
-fi
-
-# Now build/install a small subset of the demos:
-export CWD SLKCFLAGS NUMJOBS PKG
-( cd $TMP
- rm -rf mesa-demos-$DEMOVERS
- tar xvf $CWD/mesa-demos-$DEMOVERS.tar.?z* || exit 1
- cd mesa-demos-$DEMOVERS
- chown -R root:root .
- find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \+ -o \
+if [ "$BUILD_DEMOS" = "YES" ]; then
+ # Now build/install a small subset of the demos:
+ export CWD SLKCFLAGS NUMJOBS PKG
+ ( cd $TMP
+ rm -rf mesa-demos-$DEMOVERS
+ tar xvf $CWD/mesa-demos-$DEMOVERS.tar.?z* || exit 1
+ cd mesa-demos-$DEMOVERS
+ chown -R root:root .
+ find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \+
- CFLAGS="$SLKCFLAGS" \
- ./configure \
- --prefix=/usr \
- --build=$ARCH-slackware-linux || exit 1
- make $NUMJOBS || exit 1
- # Install all the demos (including the pointless ones) at first, in a
- # temporary location:
- make install DESTDIR=$PKG/cruft || exit 1
- # Install gears and glinfo, as well as a few other demos:
- mkdir -p $PKG/usr/bin
- for demo in gears glinfo glthreads glxcontexts glxdemo glxgears \
- glxgears_fbconfig glxheads glxinfo glxpbdemo glxpixmap ; do
- mv --verbose $PKG/cruft/usr/bin/$demo $PKG/usr/bin
+ -exec chmod 644 {} \+
+ CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux || exit 1
+ make $NUMJOBS || exit 1
+ # Install all the demos (including the pointless ones) at first, in a
+ # temporary location:
+ make install DESTDIR=$PKG/cruft || exit 1
+ # Install gears and glinfo, as well as a few other demos:
+ mkdir -p $PKG/usr/bin
+ for demo in gears glinfo glthreads glxcontexts glxdemo glxgears \
+ glxgears_fbconfig glxheads glxinfo glxpbdemo glxpixmap ; do
+ mv --verbose $PKG/cruft/usr/bin/$demo $PKG/usr/bin
done
- # Remove cruft:
- rm -rf $PKG/cruft
-) || exit 1
+ # Remove cruft:
+ rm -rf $PKG/cruft
+ ) || exit 1
+fi
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
diff --git a/source/x/x11/build/libXvMC b/source/x/x11/build/libXvMC
index 0cfbf0888..00750edc0 100644
--- a/source/x/x11/build/libXvMC
+++ b/source/x/x11/build/libXvMC
@@ -1 +1 @@
-2
+3
diff --git a/source/x/x11/patch/libXvMC.patch b/source/x/x11/patch/libXvMC.patch
deleted file mode 100644
index 6b9488a24..000000000
--- a/source/x/x11/patch/libXvMC.patch
+++ /dev/null
@@ -1,2 +0,0 @@
-# Removing xv from xvmc.pc breaks building Mesa so restore it for now:
-zcat $CWD/patch/libXvMC/libXvMC.restore.xv.to.xvmc.pc.diff.gz | patch -p1 --verbose || { touch ${SLACK_X_BUILD_DIR}/${PKGNAME}.failed ; continue ; }
diff --git a/source/x/x11/patch/libXvMC/libXvMC.restore.xv.to.xvmc.pc.diff b/source/x/x11/patch/libXvMC/libXvMC.restore.xv.to.xvmc.pc.diff
deleted file mode 100644
index c3ca1ad33..000000000
--- a/source/x/x11/patch/libXvMC/libXvMC.restore.xv.to.xvmc.pc.diff
+++ /dev/null
@@ -1,12 +0,0 @@
---- ./xvmc.pc.in.orig 2019-09-24 11:54:56.000000000 -0500
-+++ ./xvmc.pc.in 2019-09-25 15:49:26.561254254 -0500
-@@ -6,7 +6,7 @@
- Name: XvMC
- Description: The XvMC Library
- Version: @PACKAGE_VERSION@
--Requires: xproto videoproto
--Requires.private: x11 xext
-+Requires: xproto videoproto xv
-+Requires.private: x11 xext xv
- Cflags: -I${includedir}
- Libs: -L${libdir} -lXvMC
diff --git a/source/xap/network-manager-applet/network-manager-applet.SlackBuild b/source/xap/network-manager-applet/network-manager-applet.SlackBuild
index c187f6493..07b972b4c 100755
--- a/source/xap/network-manager-applet/network-manager-applet.SlackBuild
+++ b/source/xap/network-manager-applet/network-manager-applet.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=network-manager-applet
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in